Lines
All operations require authentication.
List the lines of an xDSL accessProduction
Returns the numbers of the copper lines of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a line of an xDSL accessProduction
Returns the line number, distance and sections to the DSLAM, synchronization rates, mitigation, deconsolidation, portability and fault repair time.
Path parameters
Number
Service name
Response
Data to identify the line at the concentration point
Deconsolidation of the line.
createNeighbourcreationcreationNeighbourpartialtotalTrue if the line is directly wired on the DSLAM
Distance in meters from the DSLAM
Maximum time needed to repair a landline
10HO4HNO4HODPLUS1NORMALDetailed information about the sections between the DSLAM and the telephone jack
Mitigation of the line in dB
The number of the line
The number used to place the order. Null if the same as the current number.
Whether the line number has been ported to OVH, to be used with VoIP service
The download synchronisation on the DSLAM in Kbps
The upload synchronisation on the DSLAM in Kbps
Example uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines/ {number} \
-H "authorization: Bearer $OVH_TOKEN"{ "concentrationPoint": { "lineHead": "string", "lineInitialSection": 0, "lineInitialSectionPair": 0 }, "deconsolidation": "createNeighbour", "directDistribution": true, "distance": 0, "faultRepairTime": "10HO", "lineSectionsLength": [ { "diameter": 0, "length": 0 } ], "mitigation": 0, "number": "string", "originalNumber": "string", "portability": true, "syncDown": 0, "syncUp": 0}
Cancel the diagnostic of a lineProduction
Cancels the ongoing advanced diagnostic of the line, when it can still be canceled.
Path parameters
Number
Service name
Response
Example uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines/ {number}/ diagnostic/ cancel \
-H "authorization: Bearer $OVH_TOKEN"Run the advanced diagnostic of a lineProduction
Starts or continues the advanced diagnostic of the line with the customer answers and actions done. Returns the diagnostic with its status, fault type and data.
Path parameters
Number
Service name
Request body (required)
Customer possible actions
bePreparedToCheckModemSynchronizationchangeDslFilterAndPlugInDtichangeExtensionCablechangeProfilecheckConnectionCablecheckConnectionLoginAndParameterscheckFilterconnectModemToOtherPlugsneutralTestrebootModemresetModemunplugEveryModemsunplugModemCustomer answers for line diagnostic
Line diagnostic fault type
alignmentnoSyncsyncLossOrLowBandwidthunknownResponse
Diagnostic data and information
Line diagnostic fault type
alignmentnoSyncsyncLossOrLowBandwidthunknownDiagnostic id
Diagnostic status possible values
cancelledconnectionProblemgenericIncidentPendinghaveToConnectModemOnTheRightPluginitinterventionRequestednoBandwidthFaultnoProblemAnymorenoSyncFaultDiagnosticRequiredproblemresolvedAfterTestssleepingvalidationRefusedwaitingHumanwaitingRobotwaitingValidationExample uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines/ {number}/ diagnostic/ run \
-H "authorization: Bearer $OVH_TOKEN"{ "data": { "actionsDone": [ "bePreparedToCheckModemSynchronization" ], "actionsToDo": [ { "description": "string", "name": "bePreparedToCheckModemSynchronization" } ], "answers": { "bandwidthTestUnit": "Kbps", "comment": "string", "conditionsAccepted": true, "contactPhone": "string", "datetimeOfAppearance": "2024-01-01T12:00:00Z", "downloadBandwidthTest": 0, "endAfternoonHours": "string", "endMorningHours": "string", "followBySms": true, "hasModemKeptSynchronization": true, "idAppointment": 0, "individualSite": true, "modemIsSynchronized": true, "modemMac": "string", "modemStillSynchronized": true, "modemType": "string", "ovhTicket": "string", "problemType": "lowBandwidth", "resolvedAfterTests": true, "secureSite": true, "severalInternetConnections": true, "siteClosedDays": "string", "siteDigicode": "string", "siteOpening": "string", "startAfternoonHours": "string", "startMorningHours": "string", "uploadBandwidthTest": 0 }, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "diagnosticDoneDate": "2024-01-01T12:00:00Z", "error": "string", "lastUpdate": "2024-01-01T12:00:00Z", "lineDetails": { "accessName": "string", "accessPing": true, "address": "string", "connectionInfo": { "crcError": 0, "downstreamAttenuation": 0, "downstreamMargin": 0, "downstreamSync": 0, "ifName": "string", "profile": "string", "upstreamAttenuation": 0, "upstreamMargin": 0, "upstreamSync": 0 }, "contactPhone": "string", "description": "string", "dslamIsSynchronized": true, "gtr": true, "length": 0, "lineCapabilities": { "down": 0, "mitigation": "string", "ping": 0, "up": 0 }, "lineType": "adsl", "nra": "string", "number": "string", "operator": "axione", "sections": [ { "length": 0, "section": 0 } ] }, "robotAction": "alignmentLockTest", "seltTest": { "date": "2024-01-01T12:00:00Z", "distance": 0, "preloc": "CUST", "state": "open", "status": "failed" }, "timeout": 0, "toAnswer": [ { "defaultValue": "string", "description": "string", "enumValues": [ "string" ], "name": "bandwidthTestUnit", "possibleValues": [ { "id": 0, "label": "string", "value": "string" } ], "required": true, "type": "string" } ] }, "faultType": "alignment", "id": 0, "status": "cancelled"}
Get the DSLAM port of a lineProduction
Returns the status and profile of the DSLAM port of the line, with its last synchronization and desynchronization dates.
Path parameters
Number
Service name
Response
Last time the port lost the synchronization
Last time the port synchronized
Profile on the DSLAM
Different states of a DSLAM port
activateddeactivatedoutofsyncExample uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines/ {number}/ dslamPort \
-H "authorization: Bearer $OVH_TOKEN"{ "lastDesyncDate": "2024-01-01T12:00:00Z", "lastSyncDate": "2024-01-01T12:00:00Z", "profile": { "id": 0, "isCurrent": true, "name": "string" }, "status": "activated"}
List the profiles of a DSLAM portProduction
Returns the profiles that can be applied to the DSLAM port of the line, and which one is current.
Path parameters
Number
Service name
Response
Example uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines/ {number}/ dslamPort/ availableProfiles \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": 0, "isCurrent": true, "name": "string" }]
Change the profile of a DSLAM portProduction
Applies one of the available profiles to the DSLAM port of the line. Returns the task that performs the change.
Path parameters
Number
Service name
Request body (required)
The id of the xdsl.DslamLineProfile
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines/ {number}/ dslamPort/ changeProfile \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
List the logs of a DSLAM portProduction
Returns the messages the DSLAM emitted for the port of the line, with their date, last occurrence and number of occurrences.
Path parameters
Number
Service name
Query parameters
Response
The last time this message occured
The number of times this message occured between date and lastOccurrenceDate
Example uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines/ {number}/ dslamPort/ logs \
-H "authorization: Bearer $OVH_TOKEN"[ { "date": "2024-01-01T12:00:00Z", "lastOccurrenceDate": "2024-01-01T12:00:00Z", "message": "string", "numberOfOccurrences": 0 }]
Reset a DSLAM portProduction
Resets the port of the line on the DSLAM. Returns the task that performs the change.
Path parameters
Number
Service name
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines/ {number}/ dslamPort/ reset \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Get the statistics of a lineProduction
Returns the values of one line metric (attenuation, SNR, synchronization or CRC, FEC and HEC errors) over a daily, weekly, monthly or yearly period, with their unit.
Path parameters
Number
Service name
Query parameters
Periods for statistics.
dailymonthlypreviewweeklyyearlyVarious types of statisctics available for the line.
attenuation:downloadattenuation:uploaderror:crcerror:fecerror:hecsnr:downloadsnr:uploadsynchronization:downloadsynchronization:uploadResponse
Example uses number = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ lines/ {number}/ statistics \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ]}